<script lang="ts">
  import { orkgApiVersion } from "$lib/stores/authTokens.store";
  import type { Repository } from "$lib/types/githubResults.type";
  import type { Writable } from "svelte/store";
  import OrkgForm from "./OrkgForm.svelte";
  import OrkgJsonEditor from "./OrkgJsonEditor.svelte";

  export let repository: Repository;
  export let showORKG: boolean;

  let showOrkgForm = false;
  let jsonRepository: string; // The json version of the repository. May be modified

  export let orkgAuthenticationDialogOpen: Writable<boolean>;
</script>

<div data-test="detailed-orkg">
  {#if showOrkgForm}
    {#key $orkgApiVersion}
      <OrkgForm
        bind:showORKG
        bind:showOrkgForm
        bind:jsonRepository
        {repository}
        apiVersion={$orkgApiVersion}
        bind:orkgAuthenticationDialogOpen
      />
    {/key}
  {:else}
    <OrkgJsonEditor bind:showOrkgForm bind:jsonRepository {repository} />
  {/if}
</div>
